ID Tracker

David M. Hitchner - Copyright © 2003 - 2005

ID Tracker Web Site ID Tracker FAQ

Disclaimer

The program is freeware designed to extend the capabilities of trunking scanners. I designed it for my personal use and thought others may get some use from the program. Therefore, use this program at your own risk. By downloading, installing, and using ID Tracker you assume full responsibility for its use and hold no claim of liability against the author. The author does not guarantee the functionality of this program and that it will be supported.

Features

  • Supports the PRO-2052 (limited), BC245XLT, BC780XLT, BC250D, BC785D, BC296D and BC796D scanners.

  • Supports Motorola Type I, Type II, Type IIi, EDACS and LTR trunked systems

  • Supports monitoring multiple banks.

  • Supports recording of scanner audio to WAV files.

  • Provides a method of performing ID limit searches.

  • Tracks frequencies used during Trunk Tracking.

  • Can be used to expand the number of tags.

  • Efficient code requiring minimal processor usage. Normal conditions on a 1 GHz Pentium III running Windows XP Professional requires less than 1% CPU usage. A 300 MHz Pentium II running Windows 98 requires 3 to 4% CPU usage.

  • Multiple copies can be installed to support multiple scanners.

  • Limited control of the scanner while in remote mode.

Program Description

The program when started will immediately begin communicating with the scanner and attempt to read the bank types and alpha tags (BC780XLT, BC250D, BC785D, BC296D, BC796D) for all 10 banks. Once this is done the program will then begin to monitor the scanner for trunk IDs. The program does not override the currently selected scan/search modes or bank selection. It simply provides a method of tracking ID and alerting you to potential new or unidentified IDs. Another use of the program is to extend the ID tags beyond the 50 or 100 IDs per bank when in search mode.

Note: If the debug is displayed, go to the Settings screen and make sure that the program's communications settings match the settings of the scanner.

When the scanner locks on a trunk ID, the program will search a list of IDs and display them on the main screen and add them to the list if the list is enabled. IDs may also be logged to a file.

To stop the tracking, click on the stop button and the button text will change to "Track" when the program has stopped tracking. Tracking can be resumed by clicking on the "Track" button. To exit the program, simply click on the "X" in the top left corner. Any changed data will be saved at this time.

Scanning multiple banks is supported. When tracking the program determines the current bank and identifies the IDs appropriately.

IDs and Frequencies are maintained in data files in the applications folder.

Function Keys

To display this help file in ID Tracker, press the F1 key on any screen.

ID Tracker provides the following keyboard functions:

Function Key | Description
F1 | Display the help file.
F2 | Start / Stop Tracking
F3 | Identify / Display Settings
F4 | Toggle List Display
F5 | Enable Recording
F6 | Disable Recording
F7 | Enable Logging
F8 | Disable Logging
F10 | Display the Quick Reference
F11 | Display the About screen.
F12 | Display the debug screen.

Control Keys

When the program is used with the BC780XLT, BC250D, BC785D, BC296D and BC796D, the scanner's control keys remain fully functional. The program provides minimal control of the scanner from the computer. These keys are functional only when tracking and may not respond immediately so please be patient. Also, all keys may not work with all scanners.

Computer Key | Scanner Key
0 - 9 | 0 - 9
Enter | E/Enter
. (Decimal Point) | . (Decimal Point)
Up Arrow | Up
Down Arrow | Down
D | Data
H | Hold
I | Identify ID (Same as ID Button)
L | L/O
M | Manual
P | Program Scan
R | Resume
S | Search
T | Trunk
W | Weather
Esc | Menu
Delete | Clear ID List Display

ID Alerts

ID Tracker provides two types of alerts. New ID and priority alerts. Each alert will play a WAV file or the system's "Exclamation" sound if a WAV file is not defined in the Settings screen. Alerts can be enabled or disabled for each bank in the Bank Editing screen.

New ID Alert - If an ID is new or marked as unidentified, ID Tracker will alert the user.

Priority Alert - Individual IDs can be marked as a priority ID to alert the user.

Logging

The program gives you the option to log none, all or only new IDs to a file. To use this feature, go to the Settings Screen and select the appropriate logging options.

Recording

Scanner audio can be recorded to WAV files. This allows you to capture audio while you are away from your scanner. The audio for each ID or frequency can be listened to later in compressed time.

Data Import

Existing data may be imported using the Import / Merge feature.

I-Call Support

ID Tracker provides I-Call tracking support.

Track and Log Limit Searches

ID Tracker provides 10 additional search banks.


ID Tracker - Main Screen

Main Screen

Main Screen (List Enabled, List Disabled, and Minimized in Task Bar)

MainScreen.gif (11245 bytes)

MainScreenNoList.gif (3371 bytes) MainScreenMin.gif (1187 bytes)

Main Display (Right-Click) - Right-Clicking on the main display will display the following menu:

RightClick.gif (2239 bytes)

Always on Top - Forces the display to remain on top.
Logging - Enables file logging.
Recording - Enables audio recording.
Spectrum View - Opens the Spectrum View screen.
Audio Playback - Opens the Audio Playback screen.
Clear All - Resets all hit counts in all banks and clears the ID list.
Clear List - Clears the ID List.
Reset All Hit Counts - Resets all hit counts in all banks.

? Button - Displays program information and quick help on control keys.

Active Frequency - The is the frequency currently being monitored by the scanner.

Additional Info - The field will display the time the last ID became active or the Motorola Type II ID type if it is a special ID type. It will also display the current time and scanner status when scanning or searching.

Backlight - Toggle the scanner backlight.

Bank Indicators - Indicates the currently selected and active scanner banks. Right-Clicking on the bank indicators displays a recording menu for each bank. This allows you to easily change the recording settings for individual banks while tracking. These are the same as the record options in the Bank Editing screen.

RecordMenu.gif (2215 bytes)

Bank No. and Tag - This is the bank currently being monitored and the tag associated with that bank. The bank tags are obtained from the scanner (BC250D, BC780XLT and BC785D) or "%Bank%" value defined in the bank's data file.

Hit Count - The number of times the ID has been active.

ID / Set Button - When tracking IDs, this button displays the Identification Screen for the current ID. When not tracking IDs, this button displays the Settings Screen.

ID List - This lists IDs monitored during the current session. IDs are displayed beginning with the most recent at the top of the list. Double-clicking on an ID will display the Identification Screen for the selected ID. Unlike the ID Button, this may be done regardless of whether the program is currently tracking.

ID Tag - The ID or Frequency tag as defined in the bank's data file or "Unidentified" if it is a new ID or Frequency.

List - Opens or closes the ID/Frequency list. Right clicking on the list will display this popup menu:

IDMenu.gif (1762 bytes)

Identify - Identify the selected ID.
Delete Entry - Delete the selected list entry.
Clear List - Clear the entire list.
Save List to File - Saves the current list to a comma separated text file (CSV) or a tab delimited text file.

Mute - Indicates when the scanner is muted.

Peak Indicator - Indicates the peak signal level.

Record Indicator - Turns red when audio is being recorded to a WAV file.

Signal / Activity - Indicates signal strength or activity on the current frequency or ID.

Timestamp - The time the ID or Frequency was last active.

Track / Stop Button - This button starts and stops scanner monitoring.

Tracked ID or Frequency - The current of last ID monitored. If the ID is active, the ID will be displayed in bold text.


ID Tracker - Settings

Settings Screen

Settings.gif (15188 bytes)

The Settings Screen allows program configuration and the setting of program options.

Program

Auto Start - Enables or disables the automatic tracking at program startup.

Load Bank Titles - Enables or disables the loading of bank titles from the scanner.

EDACS Format - Selects the display format for EDACS systems. The options are AFS (Agency Fleet Subfleet), Hex (hexadecimal), or Dec (decimal). The Hex and Dec formats are provided so IDs can be made to match the IDs in the ETrunk program.

Enable Muting - Enables or disables the muting function. ID Tracker will mute the audio when the Resume on Identified and ID Limits features are enabled to avoid unwanted bits of audio until a valid ID received. If this option is checked, you should always stop ID Tracker before turning off or disconnecting the scanner. Not doing do could leave the scanner in a "muted" state.

Save Data Every nn Minutes - Sets the number of minutes between data saves. This option is provided to prevents data losses due to system shutdowns, crashes, etc. When the specified number of minutes has expired, ID Tracker will wait until there are no scanner activity then save any changed data. Setting this value to 0 will disable this feature.

Serial Port

Port - Sets the serial port connected to the scanner.

Baud Rate - Sets the serial port speed for communications with the scanner. This setting must match the settings of the scanner.

Display

Alternate Colors - Selects an alternate color scheme (night mode) for the main display.

AlternateColors.gif (7817 bytes)

Always on Top - Keeps the main display on top of other windows. This setting is available while tracking on the main screen.

Minimized - Selects the information displayed when the display is minimized.

Unidentified ID Color - Sets the color used for displaying unidentified IDs.

Sounds

Priority Alert - Sets the WAV file to be played for Priority IDs.

New ID Alert - Sets the WAV file to be played when an New or Unidentified ID is encountered.

Logging / Recording

Logging Enabled - When checked, this enables the logging of IDs to a file. Each bank to be logged must also be enabled. This setting is available while tracking on the main screen.

Recording Enabled - Enables or disables the recording of scanner audio to WAV files. Each bank to be recorded must also be enabled. This setting is available while tracking on the main screen.

Sample Rate - Sets the sampling rate for audio recording. The lowest acceptable value should be used to conserve disk space. Setting the value too high with too little available disk space could cause system problems due to no or very low disk space.

Playback Timer - This sets the update rate when playing audio in the Audio Playback screen. This value can range from 10 to 1000 milliseconds. If you experience problems during audio playback, try setting this value to a higher level.

Banks

Data Path - This sets the folder for storing data files. This allows a user to maintain multiple data sets and can be useful for scanning in different locations. The default value is a subfolder of the application folder named "DATA". The dropdown list will save previously created data paths for quick recall.

Clear - Clear all IDs from the selected bank.

Edit - Displays the Bank Editing Screen for the bank selected in the list.

Search - Sets the bank for storing frequencies for Frequency Tracking during limit searches.

Reset Counts - Resets all hit counts for all banks.


ID Tracker - Identification Screen

Identification Screen

Identification.gif (3143 bytes)

The Identification Screen allows a tag to be associated with the displayed ID. It also allows the ID to be marked as identified. Addtional comments may also be added. These comments will be saved with the ID information and will be displayed as a tool tip on the main screen when the ID is active.


ID Tracker - Bank Editing

Bank Editing Screen

BankEdit.gif (16691 bytes)

The Bank Editing Screen allows IDs or Frequencies to be modified or removed. If Load Bank Titles is disabled, the bank title can be set on this screen.

Bank - Displays the current bank number and allows the editing of the bank name.

Bank List - Selects ID or Frequency bank lists.

Tracking

Alerts - Enables or disables Alerts. The following alert modes are available:

  • None - Disables alerts for the selected bank.

  • Unidentified - Plays a sound when an unidentified ID or frequency is becomes active.

  • Priority - Plays a sound when a priority ID or frequencies becomes active.

  • Unidentified & Priority - Plays a sound when a priority or unidentified ID or frequency is becomes active.

Resume on Identified - Resumes scanning or searching on IDs that have been marked as identified. Banks with this option set will be muted until an unidentified ID is active.

Notes:

When using this feature you should make sure that all enabled banks are either scanning or searching. Do not use with one or more banks scanning and other banks searching.

TrunkTrackers will sometimes lock on invalid IDs. For example, an ID will be displayed and appear to be valid but the displayed ID is incorrect. Use of the "Resume on Identified" function may increase the chances of the scanner locking on an invalid ID.

Auto Lockout - Uses the scanner lockout function to remove identified IDs or frquencies. This is the same as pressing the lockout key on the scanner. This performs basically the same function as Resume on Indentified but may help to resolve some of the problems with invalid IDs. Locked out IDs / frequency must be restored using the scanners keyboard. Please see your scanner manual regarding this.

Track Services - Enables the tracking of built in Service Searches.

This function is a little difficult to use but can be useful. Begin by scanning the bank you wish to use for tracking services in conventional scan mode. Next, without changing banks, begin the service search.

Track Frequencies - Enables the tracking of conventional frequencies.

Frequency Tracking must be enabled for all banks that you want to track conventional frequencies.

ID Limits - Enables the ID limits for the selected bank. One or more ID limit ranges must be added to the list using the Add, Edit and Delete buttons below the checkbox. This function should be used when the scanner is in ID search mode.

This function can be thought of as an ID limit search. Any IDs that are not within the specified limits ranges will be skipped. This function can also be used in conjunction with the Resume on Identified function to monitor only unidentified IDs within a given range.

Status Bit On - When this option is set, Motorola Type II IDs will be displayed the same as if the scanner's status bit is turned on regardless of the scanner's actual status bit state. Please see your scanner manual for more information.

Recording

The following recording modes are available:

  • Record None - Disables recording for the selected bank.

  • Record All - Enables recording of all IDs or frequencies.

  • Record Identified - Enables recording of identified IDs or frequencies.

  • Record Unidentified - Enables recording of unidentified IDs or frequencies.

  • Record Priority - Enables recording of IDs or frequencies marked as priority ID.

  • Record Identified & Priority - Enables recording of IDs or frequencies marked as identified or priority ID.

  • Record Unidentified & Priority - Enables recording of IDs or frequencies marked as unidentified or priority ID.

Any audio segments shorter than the Minimum Log Time will not be saved. See recording notes for more information.

Logging

Mode - Enables / Disables logging for the current bank. See recording for the list of available modes.

Log File - Sets the path and filename for the log file. You can use the Browse button to set this parameter.

Minimum Log Time - This value sets the minimum amount of time an ID must be active to be written to the file and displayed in the ID list. Setting this value helps reduce false hits. A value of 0 disables this feature. This value also affects the recording function.

ID / Frequency Edit

Description - This field is the description that will be displayed for the ID or frequency.

Priority - Marks the selected ID as being a Priority ID. This is affects recording and ID alerts.

Identified - Marks the selected ID as being Identified. This is affects recording and ID alerts.

ID Color (A) - This button displays the color picker to set the text color of the selected ID.

Comments - This field provides additional storage for comments or other additional information to aid in the identification of the ID or frequency. Any comments added will be displayed as a tool tip for the description on the main screen when the ID is active.

Save - Updates the currently selected ID.

Set All - Sets all entries in the list to identified or unidentified.

IDs / Frequencies

Delete - Deletes the currently select IDs.

Import - Imports a list of IDs into the selected bank. All existing IDs in the bank will be removed.

Merge - Merges a list of IDs into the selected bank.

Reset Counts - Resets the "hit counts" for all IDs in the bank.

Reset Colors - Resets ID colors for all IDs in the bank.

Importing / Merging

Note: It is important that communications has been established with the scanner prior to importing data so that the import routines know how to properly interpret the IDs for the associated bank.

External ID list may be imported or merged with the IDs already in the bank lists. The file format must be as follows:

Text Files: ID<space>Description
or
CSV Files: ID,Description

Where ID is the decimal trunk ID and Description is the text description of the ID.


ID Tracker - Audio Playback

Audio Playback Screen

Playback.gif (15948 bytes)

The Playback Screen allows the playback of recorded audio files.

File Menu

Set Folder - Sets the folder where playback screen searches for audio files.

Set to Default Folder - Restores the folder back to the ID Tracker default audio folder.

View Folder - Opens an Explorer window displaying the WAV and index files.

Controls

Audio Files - This is a list of files in the audio folder and their sizes. Audio files can contain multiple segments. You can double-click on a file to begin playing.

Index List - This displays the index of segments for the selected audio file. The list displays the date, time and length of each segment. Double-clicking on a segment will play the selected segment.

Identify - Displays the Identification screen for the selected ID.

Delete - Deletes the selected WAV files and their associated index files.

Refresh - Refresh updates the audio file list.

Playback Controls

Rewind - Moves the audio position to the beginning of the file.

Reverse - Moves the audio position back 5 seconds.

Stop - Stop playing the file.

Play - Begins playing the audio file from it's current position.

Fast Forward - Moves the audio position forward 5 seconds.

Previous Segment - Moves the audio position to the previous segment.

Next Segment - Moves the audio position to the next segment.

Cut Segment - Removes the selected segment(s) from the audio file. If all segments are removed, the entire file will be removed.

Comment - Adds a comment to one or more audio segments.

Volume - Adjusts the computer's main volume level.

Position Slider - Moves the current audio pointer quickly to any position in the file.

Indicators

Audio Time - Indicates the current position in time of the audio file. The first value is the position in the current segment. The second value indicates the position in the file. The third value displays the total length of the audio file.

Segment Position - Indicates the current segment in the audio file. The position is indicated by an arrow in the audio segment list. Double clicked on any segment will immediately set the audio position to the beginning of the selected segment.


ID Tracker - Search Banks

Search Banks

ID Tracker provides 10 additional banks to track limit searches. These banks are numbered 11 to 20 and correspond to the scanners search ranges 1 to 10. For example, search bank 11 corresponds to the scanners search range 1, search bank 12 corresponds to search range 2, etc.

The search banks are for conventional frequencies only and do not track IDs.


ID Tracker - I-Call Support

I-Call Support

ID Tracker can track I-Call IDs if they are enabled on the scanner. For the most part they are treated as normal IDs. All I-Call IDs will be displayed at the end of the list in the bank editing screen.

For Motorola Type II systems, all IDs greater than 65535 are considered to be an I-Call ID and are displayed as on the scanner. Example I-Call: 740054

For Motorola Type I and EDACS systems, I-Call IDs are prefixed with a lowercase i. Example I-Call: i00184


ID Tracker - Spectrum View

Spectrum View

Spectrum.gif (6541 bytes)

The Spectrum View screen graphically displays frequencies and strength of tracked signals. Each bank can be assigned a different color. Settings allow the user to change the way the signals are displayed.

Settings

Peak Hold - With this option enabled, the peak signal is held for each frequency. When disabled, the current signal strength is displayed.

Signal Hold - With this option enabled, each frequency remains displayed at it's last signal strength. When disabled, the signal is erased.

Colors - Allows colors to be assigned to the individual banks.


ID Tracker - Notes

Trying using the highest baud rate that your computer can support. I have found that the CPU usage on my computer (450 MHz Pentium III) is reduced about 6% when changing the baud rate from 9600 to 19200.

Using Resume on Identified

Resume on Identified feature is useful for discovering new IDs without locking out IDs on the scanner. When this feature is enabled only unidentified IDs will be heard. You want to enable this feature for the desired bank and turning off New ID Alerts.

The feature may also be useful for monitoring systems where all IDs have been identified. Enable Resume on Identified and turn off New ID Alerts. Uncheck the Identified flag for only the IDs that you wish to monitor. Now put the scanner in search mode. This allows you to monitor only selected IDs.

Recording

IMPORTANT!! Care should be taken to avoid using all available disk space when recording. Using all disk space can leading to problems with the operating system.

Recording scanner audio to WAV files can be enabled using the Recording setting for each bank. Recording must also be enabled on the Settings display or by right-clicking on the main screen.

The recording format is 8 bit mono with a default sample rate of 8000 Hz to minimize disk usage. The sample rate can be increased for better audio quality in the Logging / Recording settings.

The scanner's audio output must be connected to the computer's audio input in order to capture the audio. The connection can be tested by using the Window's Sound Recorder. If you experience problems, check the Windows Mixer record settings.

WAV files are created in the Audio sub-folder of the application folder. Each ID or frequency will be saved to a separate file with the file name formatted as "IDbank-id.wav" where bank is the bank number and id is the ID or frequency. Examples: ID01-03472.wav (Bank 1, ID 3472) or ID08-460.0500.wav (Bank 8, Frequency 460.05)

In addition to the WAV file, an index file is also created in the Audio sub-folder. The index file name is formatted as "IDbank-id.idx". This file is used to record the date, time and length of audio segments. If the index does not appear or does not seem correct, the index file could be missing of corrupt. The problem will not be corrected until the selected audio file and index file is deleted. Any audio recorded after that should appear correctly.

Debug Screen

The debug screen is used to report and diagnose errors. If ID Tracker encounters an error while tracking, the following message will be displayed: "Scanner Error - Press F12 to Debug". Pressing the F12 key on the keyboard will display the debug screen along with any errors encountered. When reporting any problems, these this information should be included.

PRO-2052 / BC245XLT Support

These scanners require you to place them in "Remote" mode before computer control is enabled and ID Tracker can communicate with the scanner. See your scanner manual on how to do this.

Although the PRO-2052 supports 20 banks, only the first 10 can be used with ID Tracker. Also, any conventional frequencies will use ID Tracker bank 10 for frequency lookup.

ID File Format

ID information for each bank is stored in a text file (comma separated) in the Data sub-folder of the application's folder. The data files are named "IDsnn.dat" where nn is 01 though 10. The data file contains a header which contains the bank name, bank type, date the file was last updated, and other bank configuration information. String fields (description, comments) which contain commas (,) should be enclosed in quotes.

Bank Types = | 0 - | Conventional
 | 1 - | Motorola Type 1
 | 2 - | Motorola Type 2
 | 3 - | EDACS
ID Entry Line Format: {id},{flags},{hits},{description},{comments}
Example File:
!%Bank%=Baton Rouge PD
!%Type%=2
!%Date%=11-Aug-2003 16:34
!%Alrt%=False
!%Skip%=False
!%Srch%=False
!%Freq%=False
!%Trak%=False
!%Serv%=False
!%LogE%=False
!%LogN%=False
!%LogM%=2000
!%LogF%=
!%RecM%=0
!id,flags,hits,description,comments
03216,6,230,"Police Dist. 1 - Dispatch","District 1"
03248,2,60,"Police Dist. 1 - Talk","District 1"
 ...
09568,1,1,

Frequency / Search File Format

Frequency information for each bank is stored in a text file (comma separated) in the Data sub-folder of the application's folder. The data files are named "Freqnn.dat" where nn is 01 though 10. The data file contains a header which contains the date the file was last updated and format description. The search file format is the same as the frequency files but are named "Srchnn.dat" where nn is 11 though 20

Frequency Entry Line Format: {frequency},{identified flag},{hits},{description},{comments}
Example File:
!%Date%=09-Jul-2003 18:44
!frequency,flags,hits,description,comments
39.7600,2,15,Livingston Parish SO Backup
154.1450,2,3,Livingston VFD Dist 5 Pagers
154.2650,2,5,Denham Springs FD
154.3700,2,1,
...
154.4150,2,2,Livingston VFD Dist 4 Pagers